#!/bin/bash
#Tested with diff (GNU diffutils) 3.7 on an Ubuntu 20.04


fileList=(BLAT_pred_evolInd.txt
	  BLAT_pred_evolEpi.txt
	  BLAT_normPred_evolInd.txt
	  BLAT_normPred_evolEpi.txt
	  BLAT_normPred_evolCombi.txt)

echo "Performing reproducibility checks!"
#Include the entire trajectory
for file in ${fileList[@]}
do

    echo " "
    diff $file ../tests/$file > /dev/null 2>&1
    error=$?
    if [ $error -eq 0 ]
    then
	echo "$file and ../tests/$file are same!"
    elif [ $error -eq 1 ]
    then
	echo "$file and ../tests/$file differ!"
    else
	echo "There was something wrong with the diff command!"
    fi
done
